<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref21.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Parsers.IDL.idlutil.ccolonName - Synopsis.Parsers.IDL.omni.TypeTranslator.__init__</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Parsers.IDL.idlutil.ccolonName - Synopsis.Parsers.IDL.omni.TypeTranslator.__init__</h1><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.ccolonName" /><h2 >Function Synopsis.Parsers.IDL.idlutil.ccolonName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#ccolonName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#105">Synopsis/Parsers/IDL/idlutil.py:105</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.dotName" /><h2 >Function Synopsis.Parsers.IDL.idlutil.dotName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#dotName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#95">Synopsis/Parsers/IDL/idlutil.py:95</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.escapifyString" /><h2 >Function Synopsis.Parsers.IDL.idlutil.escapifyString</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#escapifyString" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#134">Synopsis/Parsers/IDL/idlutil.py:134</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.escapifyWString" /><h2 >Function Synopsis.Parsers.IDL.idlutil.escapifyWString</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#escapifyWString" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#147">Synopsis/Parsers/IDL/idlutil.py:147</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.pruneScope" /><h2 >Function Synopsis.Parsers.IDL.idlutil.pruneScope</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#pruneScope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#115">Synopsis/Parsers/IDL/idlutil.py:115</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.relativeScope" /><h2 >Function Synopsis.Parsers.IDL.idlutil.relativeScope</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#relativeScope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#179">Synopsis/Parsers/IDL/idlutil.py:179</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.reprFloat" /><h2 >Function Synopsis.Parsers.IDL.idlutil.reprFloat</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#reprFloat" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#165">Synopsis/Parsers/IDL/idlutil.py:165</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlutil.slashName" /><h2 >Function Synopsis.Parsers.IDL.idlutil.slashName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html#slashName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlutil.py.html#85">Synopsis/Parsers/IDL/idlutil.py:85</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlutil.html" >Synopsis.Parsers.IDL.idlutil</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor" /><h2 >Class Synopsis.Parsers.IDL.idlvisitor.AstVisitor</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#65">Synopsis/Parsers/IDL/idlvisitor.py:65</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor.html" >Synopsis.Parsers.IDL.idlvisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#98">Synopsis/Parsers/IDL/idlvisitor.py:98</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAST" >visitAST</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#99">Synopsis/Parsers/IDL/idlvisitor.py:99</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitModule" >visitModule</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#100">Synopsis/Parsers/IDL/idlvisitor.py:100</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitInterface" >visitInterface</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#101">Synopsis/Parsers/IDL/idlvisitor.py:101</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitForward" >visitForward</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#102">Synopsis/Parsers/IDL/idlvisitor.py:102</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitConst" >visitConst</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#103">Synopsis/Parsers/IDL/idlvisitor.py:103</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitDeclarator" >visitDeclarator</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#104">Synopsis/Parsers/IDL/idlvisitor.py:104</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitTypedef" >visitTypedef</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#105">Synopsis/Parsers/IDL/idlvisitor.py:105</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitMember" >visitMember</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#106">Synopsis/Parsers/IDL/idlvisitor.py:106</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStruct" >visitStruct</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#107">Synopsis/Parsers/IDL/idlvisitor.py:107</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStructForward" >visitStructForward</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#108">Synopsis/Parsers/IDL/idlvisitor.py:108</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitException" >visitException</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#109">Synopsis/Parsers/IDL/idlvisitor.py:109</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitCaseLabel" >visitCaseLabel</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#110">Synopsis/Parsers/IDL/idlvisitor.py:110</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionCase" >visitUnionCase</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#111">Synopsis/Parsers/IDL/idlvisitor.py:111</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnion" >visitUnion</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#112">Synopsis/Parsers/IDL/idlvisitor.py:112</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionForward" >visitUnionForward</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#113">Synopsis/Parsers/IDL/idlvisitor.py:113</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnumerator" >visitEnumerator</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#114">Synopsis/Parsers/IDL/idlvisitor.py:114</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnum" >visitEnum</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#115">Synopsis/Parsers/IDL/idlvisitor.py:115</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAttribute" >visitAttribute</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#116">Synopsis/Parsers/IDL/idlvisitor.py:116</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitParameter" >visitParameter</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#117">Synopsis/Parsers/IDL/idlvisitor.py:117</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitOperation" >visitOperation</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#118">Synopsis/Parsers/IDL/idlvisitor.py:118</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitNative" >visitNative</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#119">Synopsis/Parsers/IDL/idlvisitor.py:119</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStateMember" >visitStateMember</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#120">Synopsis/Parsers/IDL/idlvisitor.py:120</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitFactory" >visitFactory</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#121">Synopsis/Parsers/IDL/idlvisitor.py:121</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueForward" >visitValueForward</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#122">Synopsis/Parsers/IDL/idlvisitor.py:122</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueBox" >visitValueBox</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#123">Synopsis/Parsers/IDL/idlvisitor.py:123</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueAbs" >visitValueAbs</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#124">Synopsis/Parsers/IDL/idlvisitor.py:124</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValue" >visitValue</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAST" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAST</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAST" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#98">Synopsis/Parsers/IDL/idlvisitor.py:98</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAttribute" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAttribute</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitAttribute" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#115">Synopsis/Parsers/IDL/idlvisitor.py:115</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitCaseLabel" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitCaseLabel</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitCaseLabel" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#109">Synopsis/Parsers/IDL/idlvisitor.py:109</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitConst" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitConst</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitConst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#102">Synopsis/Parsers/IDL/idlvisitor.py:102</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitDeclarator" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitDeclarator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitDeclarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#103">Synopsis/Parsers/IDL/idlvisitor.py:103</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnum" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnum</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#114">Synopsis/Parsers/IDL/idlvisitor.py:114</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnumerator" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitEnumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#113">Synopsis/Parsers/IDL/idlvisitor.py:113</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitException" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitException</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitException" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#108">Synopsis/Parsers/IDL/idlvisitor.py:108</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitFactory" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitFactory</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitFactory" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#120">Synopsis/Parsers/IDL/idlvisitor.py:120</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitForward" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitForward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#101">Synopsis/Parsers/IDL/idlvisitor.py:101</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitInterface" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitInterface</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitInterface" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#100">Synopsis/Parsers/IDL/idlvisitor.py:100</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitMember" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitMember</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitMember" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#105">Synopsis/Parsers/IDL/idlvisitor.py:105</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitModule" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitModule</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitModule" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#99">Synopsis/Parsers/IDL/idlvisitor.py:99</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitNative" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitNative</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitNative" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#118">Synopsis/Parsers/IDL/idlvisitor.py:118</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitOperation" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitOperation</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitOperation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#117">Synopsis/Parsers/IDL/idlvisitor.py:117</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitParameter" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitParameter</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitParameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#116">Synopsis/Parsers/IDL/idlvisitor.py:116</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStateMember" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStateMember</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStateMember" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#119">Synopsis/Parsers/IDL/idlvisitor.py:119</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStruct" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStruct</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStruct" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#106">Synopsis/Parsers/IDL/idlvisitor.py:106</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStructForward" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStructForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitStructForward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#107">Synopsis/Parsers/IDL/idlvisitor.py:107</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitTypedef" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitTypedef</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitTypedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#104">Synopsis/Parsers/IDL/idlvisitor.py:104</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnion" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnion</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnion" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#111">Synopsis/Parsers/IDL/idlvisitor.py:111</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionCase" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionCase</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionCase" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#110">Synopsis/Parsers/IDL/idlvisitor.py:110</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionForward" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitUnionForward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#112">Synopsis/Parsers/IDL/idlvisitor.py:112</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValue" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValue</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValue" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#124">Synopsis/Parsers/IDL/idlvisitor.py:124</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueAbs" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueAbs</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueAbs" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#123">Synopsis/Parsers/IDL/idlvisitor.py:123</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueBox" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueBox</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueBox" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#122">Synopsis/Parsers/IDL/idlvisitor.py:122</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueForward" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html#visitValueForward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#121">Synopsis/Parsers/IDL/idlvisitor.py:121</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.AstVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor" /><h2 >Class Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#127">Synopsis/Parsers/IDL/idlvisitor.py:127</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor.html" >Synopsis.Parsers.IDL.idlvisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#139">Synopsis/Parsers/IDL/idlvisitor.py:139</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitBaseType" >visitBaseType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#140">Synopsis/Parsers/IDL/idlvisitor.py:140</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitStringType" >visitStringType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#141">Synopsis/Parsers/IDL/idlvisitor.py:141</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitWStringType" >visitWStringType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#142">Synopsis/Parsers/IDL/idlvisitor.py:142</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitSequenceType" >visitSequenceType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#143">Synopsis/Parsers/IDL/idlvisitor.py:143</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitFixedType" >visitFixedType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#144">Synopsis/Parsers/IDL/idlvisitor.py:144</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitDeclaredType" >visitDeclaredType</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitBaseType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitBaseType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitBaseType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#139">Synopsis/Parsers/IDL/idlvisitor.py:139</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitDeclaredType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitDeclaredType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitDeclaredType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#144">Synopsis/Parsers/IDL/idlvisitor.py:144</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitFixedType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitFixedType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitFixedType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#143">Synopsis/Parsers/IDL/idlvisitor.py:143</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitSequenceType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitSequenceType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitSequenceType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#142">Synopsis/Parsers/IDL/idlvisitor.py:142</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitStringType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitStringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitStringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#140">Synopsis/Parsers/IDL/idlvisitor.py:140</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitWStringType" /><h2 >Method Synopsis.Parsers.IDL.idlvisitor.TypeVisitor.visitWStringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html#visitWStringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#141">Synopsis/Parsers/IDL/idlvisitor.py:141</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlvisitor/TypeVisitor.html" >Synopsis.Parsers.IDL.idlvisitor.TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator" /><h2 >Class Synopsis.Parsers.IDL.omni.ASGTranslator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#106">Synopsis/Parsers/IDL/omni.py:106</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/omni.html" >Synopsis.Parsers.IDL.omni</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#110">Synopsis/Parsers/IDL/omni.py:110</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#111">Synopsis/Parsers/IDL/omni.py:111</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#primary_file_only" >primary_file_only</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#112">Synopsis/Parsers/IDL/omni.py:112</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#types" >types</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#113">Synopsis/Parsers/IDL/omni.py:113</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#__scope" >__scope</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#114">Synopsis/Parsers/IDL/omni.py:114</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#__operation" >__operation</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#115">Synopsis/Parsers/IDL/omni.py:115</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#__enum" >__enum</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#108">Synopsis/Parsers/IDL/omni.py:108</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#117">Synopsis/Parsers/IDL/omni.py:117</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#119">Synopsis/Parsers/IDL/omni.py:119</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#add_declaration" >add_declaration</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#122">Synopsis/Parsers/IDL/omni.py:122</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#addType" >addType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#132">Synopsis/Parsers/IDL/omni.py:132</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#getType" >getType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#133">Synopsis/Parsers/IDL/omni.py:133</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitAST" >visitAST</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#146">Synopsis/Parsers/IDL/omni.py:146</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitModule" >visitModule</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#163">Synopsis/Parsers/IDL/omni.py:163</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitInterface" >visitInterface</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#182">Synopsis/Parsers/IDL/omni.py:182</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitForward" >visitForward</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#192">Synopsis/Parsers/IDL/omni.py:192</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitConst" >visitConst</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#210">Synopsis/Parsers/IDL/omni.py:210</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitTypedef" >visitTypedef</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#238">Synopsis/Parsers/IDL/omni.py:238</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitMember" >visitMember</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#265">Synopsis/Parsers/IDL/omni.py:265</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitStruct" >visitStruct</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#286">Synopsis/Parsers/IDL/omni.py:286</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitException" >visitException</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#309">Synopsis/Parsers/IDL/omni.py:309</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitUnionCase" >visitUnionCase</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#327">Synopsis/Parsers/IDL/omni.py:327</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitUnion" >visitUnion</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#347">Synopsis/Parsers/IDL/omni.py:347</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitEnumerator" >visitEnumerator</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#354">Synopsis/Parsers/IDL/omni.py:354</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitEnum" >visitEnum</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#374">Synopsis/Parsers/IDL/omni.py:374</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitAttribute" >visitAttribute</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#393">Synopsis/Parsers/IDL/omni.py:393</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitParameter" >visitParameter</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#404">Synopsis/Parsers/IDL/omni.py:404</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitOperation" >visitOperation</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.__init__" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#108">Synopsis/Parsers/IDL/omni.py:108</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.addType" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.addType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#addType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#122">Synopsis/Parsers/IDL/omni.py:122</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.add_declaration" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.add_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#add_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#119">Synopsis/Parsers/IDL/omni.py:119</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.getType" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.getType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#getType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#132">Synopsis/Parsers/IDL/omni.py:132</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.scope" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.scope</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#117">Synopsis/Parsers/IDL/omni.py:117</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitAST" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitAST</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitAST" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#133">Synopsis/Parsers/IDL/omni.py:133</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitAttribute" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitAttribute</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitAttribute" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#374">Synopsis/Parsers/IDL/omni.py:374</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitConst" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitConst</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitConst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#192">Synopsis/Parsers/IDL/omni.py:192</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitEnum" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitEnum</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitEnum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#354">Synopsis/Parsers/IDL/omni.py:354</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitEnumerator" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitEnumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitEnumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#347">Synopsis/Parsers/IDL/omni.py:347</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitException" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitException</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitException" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#286">Synopsis/Parsers/IDL/omni.py:286</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitForward" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitForward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#182">Synopsis/Parsers/IDL/omni.py:182</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitInterface" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitInterface</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitInterface" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#163">Synopsis/Parsers/IDL/omni.py:163</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitMember" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitMember</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitMember" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#238">Synopsis/Parsers/IDL/omni.py:238</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitModule" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitModule</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitModule" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#146">Synopsis/Parsers/IDL/omni.py:146</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitOperation" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitOperation</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitOperation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#404">Synopsis/Parsers/IDL/omni.py:404</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitParameter" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitParameter</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitParameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#393">Synopsis/Parsers/IDL/omni.py:393</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitStruct" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitStruct</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitStruct" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#265">Synopsis/Parsers/IDL/omni.py:265</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitTypedef" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitTypedef</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitTypedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#210">Synopsis/Parsers/IDL/omni.py:210</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitUnion" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitUnion</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitUnion" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#327">Synopsis/Parsers/IDL/omni.py:327</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.ASGTranslator.visitUnionCase" /><h2 >Method Synopsis.Parsers.IDL.omni.ASGTranslator.visitUnionCase</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html#visitUnionCase" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#309">Synopsis/Parsers/IDL/omni.py:309</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" >Synopsis.Parsers.IDL.omni.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator" /><h2 >Class Synopsis.Parsers.IDL.omni.TypeTranslator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#25">Synopsis/Parsers/IDL/omni.py:25</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/omni.html" >Synopsis.Parsers.IDL.omni</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#29">Synopsis/Parsers/IDL/omni.py:29</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#types" >types</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#30">Synopsis/Parsers/IDL/omni.py:30</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#__result" >__result</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#31">Synopsis/Parsers/IDL/omni.py:31</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#__basetypes" >__basetypes</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#28">Synopsis/Parsers/IDL/omni.py:28</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#49">Synopsis/Parsers/IDL/omni.py:49</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#internalize" >internalize</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#54">Synopsis/Parsers/IDL/omni.py:54</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#has_key" >has_key</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#56">Synopsis/Parsers/IDL/omni.py:56</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#add" >add</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#59">Synopsis/Parsers/IDL/omni.py:59</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#get" >get</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#62">Synopsis/Parsers/IDL/omni.py:62</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitBaseType" >visitBaseType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#68">Synopsis/Parsers/IDL/omni.py:68</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitStringType" >visitStringType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#79">Synopsis/Parsers/IDL/omni.py:79</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitWStringType" >visitWStringType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#90">Synopsis/Parsers/IDL/omni.py:90</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitSequenceType" >visitSequenceType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#102">Synopsis/Parsers/IDL/omni.py:102</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitDeclaredType" >visitDeclaredType</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.__init__" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#28">Synopsis/Parsers/IDL/omni.py:28</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
